ros-melodic-tf2-geometry-msgs (0.6.3-0artful) artful; urgency=high

  * Changed access to Vector to prevent memory leak (#305 <https://github.com/ros/geometry2/issues/305>)
  * Added WrenchStamped transformation (#302 <https://github.com/ros/geometry2/issues/302>)
  * Contributors: Denis Štogl, Markus Grimm

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Jul 2018 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.6.2-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.6.1-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.6.0-0artful) artful; urgency=high

  * Boilerplate for Sphinx (#284 <https://github.com/ros/geometry2/issues/284>)
    Fixes #264 <https://github.com/ros/geometry2/issues/264>
  * tf2_geometry_msgs added doTransform implementations for not stamped types (#262 <https://github.com/ros/geometry2/issues/262>)
    * tf2_geometry_msgs added doTransform implementations for not stamped Point, Quaterion, Pose and Vector3 message types
  * New functionality to transform PoseWithCovarianceStamped messages. (#282 <https://github.com/ros/geometry2/issues/282>)
    * New functionality to transform PoseWithCovarianceStamped messages.
  * Contributors: Blake Anderson, Tully Foote, cwecht

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.17-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.16-0artful) artful; urgency=high

  * remove explicit templating to standardize on overloading. But provide backwards compatibility with deprecation.
  * adding unit tests for conversions
  * Copy transform before altering it in do_transform_vector3 [issue 233] (#235 <https://github.com/ros/geometry2/issues/235>)
  * store gtest return value as int (#229 <https://github.com/ros/geometry2/issues/229>)
  * Document the lifetime of the returned reference for getFrameId and getTimestamp
  * tf2_geometry_msgs: using tf2::Transform in doTransform-functions, marked gmTransformToKDL as deprecated
  * Switch tf2_geometry_msgs to use package.xml format 2 (#217 <https://github.com/ros/geometry2/issues/217>)
  * tf2_geometry_msgs: added missing conversion functions
  * Contributors: Christopher Wecht, Sebastian Wagner, Tully Foote, dhood, pAIgn10

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.15-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.14-0artful) artful; urgency=high

  * Add doxygen documentation for tf2_geometry_msgs
  * Contributors: Jackie Kay

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.13-0artful) artful; urgency=high

  * Add missing python_orocos_kdl dependency
  * make example into unit test
  * vector3 not affected by translation
  * Contributors: Daniel Claes, chapulina

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.12-0artful) artful; urgency=high

  * Merge pull request #112 <https://github.com/ros/geometry_experimental/issues/112> from vrabaud/getYaw
    Get yaw
  * add toMsg and fromMsg for QuaternionStamped
  * Contributors: Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.11-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.10-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.9-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.8-0artful) artful; urgency=high

  * remove useless Makefile files
  * tf2 optimizations
  * add conversions of type between tf2 and geometry_msgs
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.7-0artful) artful; urgency=high

  * fixing transitive dependency for kdl. Fixes #53 <https://github.com/ros/geometry_experimental/issues/53>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.6-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.5-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.4-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.3-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.2-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.1-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.5.0-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.10-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.9-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.8-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.7-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.6-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.5-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.4-0artful) artful; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.3-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.2-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.1-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.4.0-0artful) artful; urgency=high

  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * converting contents of tf2_ros to be properly namespaced in the tf2_ros namespace
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Jun 2013 07:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.6-0artful) artful; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 03 Mar 2013 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.5-0artful) artful; urgency=high

  * 0.3.4 -> 0.3.5

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 22:46:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.4-0artful) artful; urgency=high

  * 0.3.3 -> 0.3.4

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 21:14:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.3-0artful) artful; urgency=high

  * 0.3.2 -> 0.3.3

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 19:30:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.2-0artful) artful; urgency=high

  * 0.3.1 -> 0.3.2

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 08:42:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.1-0artful) artful; urgency=high

  * 0.3.0 -> 0.3.1

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 14 Feb 2013 08:00:00 -0000

ros-melodic-tf2-geometry-msgs (0.3.0-0artful) artful; urgency=high

  * switching to version 0.3.0
  * add setup.py
  * added setup.py etc to tf2_geometry_msgs
  * adding tf2 dependency to tf2_geometry_msgs
  * adding tf2_geometry_msgs to groovy-devel (unit tests disabled)
  * fixing groovy-devel
  * removing bullet and kdl related packages
  * disabling tf2_geometry_msgs due to missing kdl dependency
  * catkinizing geometry-experimental
  * catkinizing tf2_geometry_msgs
  * add twist, wrench and pose conversion to kdl, fix message to message conversion by adding specific conversion functions
  * merge tf2_cpp and tf2_py into tf2_ros
  * Got transform with types working in python
  * A working first version of transforming and converting between different types
  * Moving from camelCase to undescores to be in line with python style guides
  * Fixing tests now that Buffer creates a NodeHandle
  * add posestamped
  * import vector3stamped
  * add support for Vector3Stamped and PoseStamped
  * add support for PointStamped geometry_msgs
  * add regression tests for geometry_msgs point, vector and pose
  * Fixing missing export, compiling version of buffer_client test
  * add bullet transforms, and create tests for bullet and kdl
  * working transformations of messages
  * add support for PoseStamped message
  * test for pointstamped
  * add PointStamped message transform methods
  * transform for vector3stamped message

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 13 Feb 2013 08:00:00 -0000


